Przeszukaj pomoc

Unikaj oszustw związanych z pomocą.Nigdy nie będziemy prosić Cię o dzwonienie na numer telefonu, wysyłanie SMS-ów ani o udostępnianie danych osobowych. Zgłoś podejrzaną aktywność, korzystając z opcji „Zgłoś nadużycie”.

Learn More

Updating Flash Player Does Not Reflect In Add-Ons Manager or Plug-In Check

  • 6 odpowiedzi
  • 13 osób ma ten problem
  • 1 wyświetlenie
  • Ostatnia odpowiedź od cor-el

more options

The add-ons Manager shows I have Flashplayer version 11.3.300.265. The Plug-ins Check shows there is an update, and I downloaded and installed Flash Player version 11.3.300.268. Six times! Each time, the installation shows as successful on the Adobe site, but FF14 does not reflect the new version, and the Plug-in check continues to insist that the version is out of date.

I had no problems whatsoever updating to the latest Flashplayer version in IE (8). But FF is once again giving me trouble with this.

In addition, the add-ons manager shows a version of Flash 9.0.45.0, last updated Feb 20, 2007. There's a big red warning that it's out of date. This is in addition to Shockwave Flash (the correct one) and Shockwave for Director (which is current). It's been like this for awhile, and I disabled the antique version of Flash and it does not affect FF or Flashplayer performance.

I tried deleting my plug-ins database, but I just get all the same info when it is rebuilt. Any suggestions or solutions would be appreciated.

Zmodyfikowany przez Mr. News w dniu

Wybrane rozwiązanie

You may have multiple Flash DLLs in your Flash folder, or possibly in other locations. Please see this thread for troubleshooting suggestions: flash works fine in firefox 14 but i can't update it. Can you track it down?

Przeczytaj tę odpowiedź w całym kontekście 👍 3

Wszystkie odpowiedzi (6)

more options

Wybrane rozwiązanie

You may have multiple Flash DLLs in your Flash folder, or possibly in other locations. Please see this thread for troubleshooting suggestions: flash works fine in firefox 14 but i can't update it. Can you track it down?

more options
more options

Thanks, problem solved. Opened the Windows\System32\Macromed folder (that's its actual name, for some reason), and there were 2 old Flash version 265 .dll files. Tried to delete them, one would not go (until I tried it with FF closed). Once they were both deleted, re-started FF and it showed version 268, same as on Adobe's Flash detection page.

Good info to know. Had similar problems once or twice with earlier versions of FF.

BTW, any ideas on how to get rid of the Flash 9.0.45.0 that persists in my Add-ons Manager? I have disabled and ignore it, but it would be nice to remove it, since it's a false entry.

more options

Such old version are usually located in the plugins folder in the Firefox program folder (C:\Program Files\Mozilla Firefox\).

You can enable the plugin and verify the path on the about:plugins page.

You can set the plugin.expose_full_path pref to true on the about:config page to see the full path of plugins on the about:plugins page.

It is best not to leave that pref set to true as it exposes that full path to web servers, so reset that pref to false after you are done with the about:plugins page.

See "Manually uninstalling a plugin":

more options

Thanks cor-el, that last was very helpful. The old Flash version plugin was actually in the system32 folder. (A general search revealed another copy of the same .dll file in the folder for Adobe Extension Manager CS4, which I left alone.) I renamed the one in system32 to "xNPSWF32.dll," and it vanished from the plugins manager. Thanks again for the prompt & helpful replies.

more options

If the file was in the System32 folder then it was most likely placed there by other software (in your case probably Adobe Extension Manager CS4 if that has the same file).